| Home · API Reference · Modules

Public Types | Signals | Public Member Functions | List of all members
Maliit::WindowGroup Class Reference

`#include <windowgroup.h>`

Inheritance diagram for Maliit::WindowGroup:
[legend]

## Public Types

enum | HideMode

## Signals

void | inputMethodAreaChanged (const QRegion &inputMethodArea)

## Public Member Functions

| WindowGroup (const QSharedPointer< AbstractPlatform > &platform)
| ~WindowGroup ()
void | activate ()
void | deactivate (HideMode mode)
void | setupWindow (QWindow *window, Maliit::Position position)
void | setScreenRegion (const QRegion &region, QWindow *window)
void | setInputMethodArea (const QRegion &region, QWindow *window)
void | setApplicationWindow (WId id)

## Member Enumeration Documentation

## ◆ HideMode

enum Maliit::WindowGroup::HideMode

Enumerator
HideImmediate |
HideDelayed |

## Constructor & Destructor Documentation

## ◆ WindowGroup()

Maliit::WindowGroup::WindowGroup | ( | const QSharedPointer< AbstractPlatform > & | platform | ) |

## ◆ ~WindowGroup()

Maliit::WindowGroup::~WindowGroup | ( |  | ) |

## Member Function Documentation

## ◆ activate()

void Maliit::WindowGroup::activate | ( |  | ) |

## ◆ deactivate()

void Maliit::WindowGroup::deactivate | ( | HideMode | mode | ) |

## ◆ inputMethodAreaChanged

void Maliit::WindowGroup::inputMethodAreaChanged | ( | const QRegion & | inputMethodArea | ) |

signal

## ◆ setApplicationWindow()

void Maliit::WindowGroup::setApplicationWindow | ( | WId | id | ) |

## ◆ setInputMethodArea()

void Maliit::WindowGroup::setInputMethodArea | ( | const QRegion & | region,
|  | QWindow * | window )

## ◆ setScreenRegion()

void Maliit::WindowGroup::setScreenRegion | ( | const QRegion & | region,
|  | QWindow * | window )

## ◆ setupWindow()

void Maliit::WindowGroup::setupWindow | ( | QWindow * | window,
|  | Maliit::Position | position )

Copyright © 2011 Nokia Corporation |  | Maliit